package main

import (
	"fmt"

	"github.com/spf13/cobra"
)

var versionCmd = &cobra.Command{
	Use:   "version",
	Short: "Print version information",
	Long:  "Print the version, build commit, and build date information for jdenticon CLI",
	Run: func(cmd *cobra.Command, args []string) {
		fmt.Print(getVersionString())
	},
}

func init() {
	rootCmd.AddCommand(versionCmd)
}
